server:
  port: 8080
  servlet:
     context-path: /rest-api
     
logging:
   config: classpath:logback.xml
   
spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/mydb
    username: postgres
    password: password
    driverClassName: org.postgresql.Driver
    initialization-mode: always
    data: classpath:sql/datas.sql
    schema: classpath:sql/schema.sql
  jpa:
    hibernate:
       ddl-auto: none
    defer-datasource-initialization: true
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    show-sql: true
#  sql:
#     init:
#       mode: always
#       data-locations: sql/datas.sql
  h2:
    console:
      enabled: true
             